cURL
curl --request GET \
--url 'https://<your-tenant>.app.blinkops.com/api/v1/workspace/{ws_id}/playbooks' \
--header 'BLINK-API-KEY: <api-key>'import requests
url = "https://<your-tenant>.app.blinkops.com/api/v1/workspace/{ws_id}/playbooks"
headers = {"BLINK-API-KEY": "<api-key>"}
response = requests.request("GET", url, headers=headers)
print(response.text)
const url = 'https://<your-tenant>.app.blinkops.com/api/v1/workspace/{ws_id}/playbooks';
const options = {method: 'GET', headers: {'BLINK-API-KEY': '<api-key>'}};
fetch(url, options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://<your-tenant>.app.blinkops.com/api/v1/workspace/{ws_id}/playbooks",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"BLINK-API-KEY: <api-key>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}
package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://<your-tenant>.app.blinkops.com/api/v1/workspace/{ws_id}/playbooks"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("BLINK-API-KEY", "<api-key>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(res)
fmt.Println(string(body))
}
HttpResponse<String> response = Unirest.get("https://<your-tenant>.app.blinkops.com/api/v1/workspace/{ws_id}/playbooks")
.header("BLINK-API-KEY", "<api-key>")
.asString();
require 'uri'
require 'net/http'
url = URI("https://<your-tenant>.app.blinkops.com/api/v1/workspace/{ws_id}/playbooks")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["BLINK-API-KEY"] = '<api-key>'
response = http.request(request)
puts response.read_body
{
"limit": 123,
"offset": 123,
"total": 123,
"results": [
{
"actions": [
{
"action_full_name": "<string>",
"collection_icon_uri": "<string>",
"collection_name": "<string>",
"full_name": "<string>",
"id": "<string>",
"name": "<string>"
}
],
"active": true,
"analyst_copilot_workflow": true,
"automation_origin_id": "<string>",
"automation_type": "<string>",
"created_at": 123,
"created_by": "<string>",
"custom_timeout": 123,
"deleted": "<string>",
"display_settings": {
"description": "Automates common tasks",
"display_as_html": true,
"icon": "company-blink",
"name": "Blink Automation"
},
"icon": "company-blink",
"id": "<string>",
"is_icon_selected_by_user": true,
"is_otb": true,
"is_request": true,
"max_concurrency_level": 123,
"name": "My Workflow",
"notification_emails": "<string>",
"pack_id": "00000000-0000-0000-0000-000000000000",
"playbook": "<string>",
"playbook_to_run_on_error": "<string>",
"preferred_engine_version": "<string>",
"runner": "<string>",
"step_transition_limit": 123,
"tags": [
"k8s"
],
"tenant_id": "<string>",
"updated_at": 123,
"updated_by": "<string>",
"used_connections": [
"<string>"
],
"used_global_variables": [
"<string>"
],
"used_subflows": [
"<string>"
],
"used_tables": [
"<string>"
],
"version": "1",
"wizard_id": "<string>",
"workspace_id": "<string>"
}
]
}{
"data": {},
"details": "<string>",
"identifier": "<string>",
"message": "<string>",
"status": 404,
"user_error": {}
}{
"data": {},
"details": "<string>",
"identifier": "<string>",
"message": "<string>",
"status": 404,
"user_error": {}
}{
"data": {},
"details": "<string>",
"identifier": "<string>",
"message": "<string>",
"status": 404,
"user_error": {}
}{
"data": {},
"details": "<string>",
"identifier": "<string>",
"message": "<string>",
"status": 404,
"user_error": {}
}{
"data": {},
"details": "<string>",
"identifier": "<string>",
"message": "<string>",
"status": 404,
"user_error": {}
}Workflows
List playbooks with optional filtering
API endpoint to list all playbooks in your workspace with optional filtering.
GET
/
workspace
/
{ws_id}
/
playbooks
cURL
curl --request GET \
--url 'https://<your-tenant>.app.blinkops.com/api/v1/workspace/{ws_id}/playbooks' \
--header 'BLINK-API-KEY: <api-key>'import requests
url = "https://<your-tenant>.app.blinkops.com/api/v1/workspace/{ws_id}/playbooks"
headers = {"BLINK-API-KEY": "<api-key>"}
response = requests.request("GET", url, headers=headers)
print(response.text)
const url = 'https://<your-tenant>.app.blinkops.com/api/v1/workspace/{ws_id}/playbooks';
const options = {method: 'GET', headers: {'BLINK-API-KEY': '<api-key>'}};
fetch(url, options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://<your-tenant>.app.blinkops.com/api/v1/workspace/{ws_id}/playbooks",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"BLINK-API-KEY: <api-key>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}
package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://<your-tenant>.app.blinkops.com/api/v1/workspace/{ws_id}/playbooks"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("BLINK-API-KEY", "<api-key>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(res)
fmt.Println(string(body))
}
HttpResponse<String> response = Unirest.get("https://<your-tenant>.app.blinkops.com/api/v1/workspace/{ws_id}/playbooks")
.header("BLINK-API-KEY", "<api-key>")
.asString();
require 'uri'
require 'net/http'
url = URI("https://<your-tenant>.app.blinkops.com/api/v1/workspace/{ws_id}/playbooks")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["BLINK-API-KEY"] = '<api-key>'
response = http.request(request)
puts response.read_body
{
"limit": 123,
"offset": 123,
"total": 123,
"results": [
{
"actions": [
{
"action_full_name": "<string>",
"collection_icon_uri": "<string>",
"collection_name": "<string>",
"full_name": "<string>",
"id": "<string>",
"name": "<string>"
}
],
"active": true,
"analyst_copilot_workflow": true,
"automation_origin_id": "<string>",
"automation_type": "<string>",
"created_at": 123,
"created_by": "<string>",
"custom_timeout": 123,
"deleted": "<string>",
"display_settings": {
"description": "Automates common tasks",
"display_as_html": true,
"icon": "company-blink",
"name": "Blink Automation"
},
"icon": "company-blink",
"id": "<string>",
"is_icon_selected_by_user": true,
"is_otb": true,
"is_request": true,
"max_concurrency_level": 123,
"name": "My Workflow",
"notification_emails": "<string>",
"pack_id": "00000000-0000-0000-0000-000000000000",
"playbook": "<string>",
"playbook_to_run_on_error": "<string>",
"preferred_engine_version": "<string>",
"runner": "<string>",
"step_transition_limit": 123,
"tags": [
"k8s"
],
"tenant_id": "<string>",
"updated_at": 123,
"updated_by": "<string>",
"used_connections": [
"<string>"
],
"used_global_variables": [
"<string>"
],
"used_subflows": [
"<string>"
],
"used_tables": [
"<string>"
],
"version": "1",
"wizard_id": "<string>",
"workspace_id": "<string>"
}
]
}{
"data": {},
"details": "<string>",
"identifier": "<string>",
"message": "<string>",
"status": 404,
"user_error": {}
}{
"data": {},
"details": "<string>",
"identifier": "<string>",
"message": "<string>",
"status": 404,
"user_error": {}
}{
"data": {},
"details": "<string>",
"identifier": "<string>",
"message": "<string>",
"status": 404,
"user_error": {}
}{
"data": {},
"details": "<string>",
"identifier": "<string>",
"message": "<string>",
"status": 404,
"user_error": {}
}{
"data": {},
"details": "<string>",
"identifier": "<string>",
"message": "<string>",
"status": 404,
"user_error": {}
}Authorizations
Use your API key to access BlinkOps API. To generate an API key, please log in to your BlinkOps account and navigate to the API Keys section in the user settings page. Add the generated key to your request headers as BLINK-API-KEY.
Path Parameters
Workspace ID
Query Parameters
Was this page helpful?